Subject: read/write I/O streams from foreign code?

From: Paul Singleton <[email-masked]>
Date: Tue, 17 Aug 1999 16:03:20 +0100

Can I read from, or write to, SWI-Prolog I/O streams from foreign code?

E.g. if I could use ANSI C stdio routines such as fread() on FILE*
structures associated with streams, this would be great, even if
(for my application at least), the line/character counts etc. are
not updated...

Paul Singleton